	//---------------------------------------------------------------------------------------------------------
	// 20/Marzo/2019
	// Versión 1.0 Script encargado de recoger los datos de google para => registrarse, loguearse 
	//---------------------------------------------------------------------------------------------------------
	function googleRegister(googleUser){
		var profile = googleUser.getBasicProfile();
		//var id = profile.getId();
		var id_token = googleUser.getAuthResponse().id_token;
		var name = profile.getName();
		var email = profile.getEmail();
		//Vamos a crear un formulario ahora mismo, lo rellenamos con los datos y hacemos un submit:
		var formulario = $('<form>').attr({
			'method' : 'post'
		});
		$('<input>').attr({
			'type': 'hidden',
			'name': 'accion[]',
			'value' : 'google_register google_register'
		}).appendTo(formulario);
		$('<input>').attr({
			'type': 'hidden',
			'name': 'user_email',
			'value' : email
		}).appendTo(formulario);
		$('<input>').attr({
			'type': 'hidden',
			'name': 'id_token',
			'value' : id_token
		}).appendTo(formulario);
		$('<input>').attr({
			'type': 'hidden',
			'name': 'name',
			'value' : name
		}).appendTo(formulario);
		//console.log(id_token);
		//console.log(formulario);
		var auth2 = gapi.auth2.getAuthInstance();
		auth2.signOut();
		formulario.hide();
		$(document.body).append(formulario);
		formulario.submit();
	}
	
	function googleLogin(googleUser){
		var profile = googleUser.getBasicProfile();
		var id_token = googleUser.getAuthResponse().id_token;
		var name = profile.getName();
		var email = profile.getEmail();
		//Vamos a crear un formulario ahora mismo, lo rellenamos con los datos y hacemos un submit:
		var formulario = $('<form>').attr({
			'method' : 'post'
		});
		$('<input>').attr({
			'type': 'hidden',
			'name': 'accion[]',
			'value' : 'google_register google_login'
		}).appendTo(formulario);
		$('<input>').attr({
			'type': 'hidden',
			'name': 'user_email',
			'value' : email
		}).appendTo(formulario);
		$('<input>').attr({
			'type': 'hidden',
			'name': 'id_token',
			'value' : id_token
		}).appendTo(formulario);
		var auth2 = gapi.auth2.getAuthInstance();
		auth2.signOut();
		formulario.hide();
		$(document.body).append(formulario);
		formulario.submit();
	}
	
	//Registro desde la cesta en Google:
	function googleCartRegister(googleUser){
		var profile = googleUser.getBasicProfile();
		//var id = profile.getId();
		var id_token = googleUser.getAuthResponse().id_token;
		var name = profile.getName();
		var email = profile.getEmail();
		//Vamos a crear un formulario ahora mismo, lo rellenamos con los datos y hacemos un submit:
		var formulario = $('<form>').attr({
			'method' : 'post'
		});
		$('<input>').attr({
			'type': 'hidden',
			'name': 'accion[]',
			'value' : 'google_register google_register'
		}).appendTo(formulario);
		$('<input>').attr({
			'type': 'hidden',
			'name': 'user_email',
			'value' : email
		}).appendTo(formulario);
		$('<input>').attr({
			'type': 'hidden',
			'name': 'id_token',
			'value' : id_token
		}).appendTo(formulario);
		$('<input>').attr({
			'type': 'hidden',
			'name': 'name',
			'value' : name
		}).appendTo(formulario);
		$('<input>').attr({
			'type': 'hidden',
			'name': 'redirigir_a',
			'value' : 'cesta'
		}).appendTo(formulario);
		//console.log(id_token);
		//console.log(formulario);
		var auth2 = gapi.auth2.getAuthInstance();
		auth2.signOut();
		formulario.hide();
		$(document.body).append(formulario);
		formulario.submit();
	}